function addressSelected() {
	var street = document.getElementById("street").value;
	var city = document.getElementById("catid").value;
}

function selectLocation(url)
{
	jevModalPopup('jevLocationModal',url,"");
}

function selectThisLocation(locid, elem){

	var title = elem.innerHTML;

	var locn = window.parent.document.getElementById('locn');
	var evlocation = window.parent.document.getElementById('evlocation');
	if (locn && evlocation)
	{//If we are editing an event
		locn.value = locid;
		evlocation.value = title;

		window.parent.closeJevModalBySelector('#jevLocationModal');
		showRemoveButton();
	}
	else
	{// If actually selecting a location for a menu item we do something different:
		var menu_location = window.parent.document.getElementById('menuloc');
		if (menu_location)
		{
			menu_location.value = "jevl:"+locid;
			var $result = window.parent.sortableLocations.selectThisLocation(locid, elem);
			try {
				window.parent.closeJevModalBySelector('#jevLocationModal');
			}
			catch (e) {
				window.parent.jQuery('#jevLocationModal', window.parent.document).modal('hide');
			}
			return $result;
		}
		// in this case editing a location detail menu item
		var selectedlocationtitle = window.parent.document.getElementById('selectedlocationtitle');
		var selectedlocation = window.parent.document.getElementById('selectedlocation');
		if (selectedlocationtitle && selectedlocation)
		{
			selectedlocationtitle.value = title;
			selectedlocation.value = locid;
			try {
				closeJevModalBySelector('#jevLocationModal');
				return false;
			}
			catch (e) {
			}
			try {
				window.parent.closeJevModalBySelector('#jevLocationModal');
				return false;
			}
			catch (e) {
			}

		}
		return false;

	}

	return false;
}

function selectLocationEditEvent(locid, elem){
	var title = elem.innerHTML;
	var locn = window.parent.document.getElementById('locn');
	if (locn){
		locn.value = locid;
	}
	var evlocation = window.parent.document.getElementById('evlocation');
	if (evlocation){
		evlocation.value = title;
		// If actually selecting a location for a menu item we do something different:
		var menu_location = document.getElementById('menu_location');
		if (menu_location){
			menu_location.value = "jevl:"+locid;
		}
	}
	// else this is a menu so do something different
	else {
		return window.parent.sortableLocations.selectThisLocation(locid, elem);
	}

	showRemoveButton();

	window.parent.closeJevModalBySelector('#jevLocationModal');

	return false;
}

function removeLocation(){
	document.getElementById('locn').value = '';
	document.getElementById('evlocation').value = '';
	showRemoveButton();
	return;
}

var sortableLocations = {
	setup:function (){

		var sortable = document.getElementById('sortableLocations');

		if (sortable)
		{
			sortable.setAttribute('data-sortable',
				Sortable.create(sortable, {
					onEnd: sortableLocations.fieldsHaveReordered,
				})
			);

			var lis = sortable.childNodes;
			lis.forEach(function (li, i) {
				sortableLocations.copyTrash(li);
			});
		}

	},
	copyTrash:function(li){
		var trashimage = document.getElementById('trashimageloc');
		// jQuery
		var $trashCopy = jQuery(trashimage).clone();
		$trashCopy.attr('id','');
		$trashCopy.show();

		moveIcon = document.createElement('i');
		moveIcon.classList.add('icon-menu');
		moveIcon.style.cursor = 'move';

		jQuery(moveIcon).prependTo(li);
		$trashCopy.appendTo(li);
		sortableLocations.setupTrashImage($trashCopy);
	},
	fieldsHaveReordered:function(targetNode){
		// Now rebuild the select list items
		var menuloc = document.getElementById("menuloc");
		if (menuloc) {
			menuloc.value = '';

			var lis = document.querySelectorAll('#sortableLocations li');

			var newOrder = []

			for (let i = 0; i < lis.length; i++){
				item = lis[i];
				var id = item.id;
				id = id.replace("sortableloc","");
				newOrder[i] = 'jevl:' + id;
			};

			menuloc.value = newOrder.join();
		}


	},
	setupTrashImage:function(item){
		item.click(function(){
			item.parent().remove();
			sortableLocations.fieldsHaveReordered(item);
		})
	},
	selectThisLocation:function (locid, elem){
		var duplicateTest = document.getElementById("sortableloc"+locid);
		if (duplicateTest) {
			alert(jev_str_duplicatedlocation);
			window.parent.closeJevModalBySelector('#jevLocationModal');
			return;
		}
		var title = elem.innerHTML;

		var li = jQuery('<li/>',{id: 'sortableloc'+locid})

		li.html(title);
		if (document.getElementById('sortableLocations'))
		{
			jQuery(document.getElementById('sortableLocations')).append(li);
			sortableLocations.copyTrash(li);

			var togdown = document.querySelector('h3.jpane-toggler-down');
			if (togdown ){
				var tab = togdown.getNext();
				var tabtable = tab.getElement('table.paramlist');
				tab.setStyle('height',tabtable.offsetHeight);
			}

			// reset the sortable list
		/*	new Sortables('sortableLocations',{
				"onComplete":sortableLocations.fieldsHaveReordered
			});*/
		}

		// If actually selecting a location for a menu item we do something different:
		var menuloc = document.getElementById('menuloc');
		if (menuloc)
		{
			sortableLocations.fieldsHaveReordered(menuloc);
		}

		return false;
	},
	selectLocation:function (url,title){
		jevModalPopup('jevLocationModal',url,title);
	}
}

var JevrRequiredFields = false;

window.addEventListener('load', function () {
    // for custom field handling - defined required fields if not defined in the custom fields plugin already
    if (JevrRequiredFields == false){
        JevrRequiredFields = {
            fields: new Array(),
            verify:function (form){
                    var messages =  new Array();
                    valid = true;
                    JevrRequiredFields.fields.forEach(function (item,i) {
                            var name = item.name;

                        // should we skip this test because of category restrictions?
                            if (JevrCategoryFields.skipVerify(name))  return;

                            var matches = new Array();
                               jQuery(form.elements).each (function (testi, testitem) {
                                    if(testitem.name == name || "custom_"+testitem.name == name || testitem.id == name  || testitem.id.indexOf(name+"_")==0  || ("#"+testitem.id) == name  || $(testitem).hasClass(name.substr(1))){
                                            matches.push(testitem);
                                    };
                            });
                            var value = "";
                            if(matches.length==1){
                                    value = matches[0].value;
                            }
                            // A set of radio checkboxes
                            else if (matches.length>1){
                                    matches.each (function (match, index){
                                            if (match.checked) value = match.value;
                                    });
                            }
                            //if (elem) elem.value = item.value;
                            if (value == item['default'] || value == ""){
                                    valid = false;
                                    // TODO add message together
                                    if(item.reqmsg!=""){
                                            messages.push(item.reqmsg);
                                    }
                            }
                    });
                    if (!valid){
                            message = "";
                            messages.each (function (msg, index){message += msg+"\\n";});
                            alert(message);
                    }
                    return valid;
            }
        }
        var form =document.adminForm;
        if (form){
           jQuery(form).on('submit',function(event){if (!JevrRequiredFields.verify(form)) {event.preventDefault();event.stopImmediatePropagation();}});
        };
    }

});


// for location editing page only
function setupNewLocation(){
	if (document.getElementById("title")
		&& document.getElementById("title").value==""
		&& window.parent
		&& window.parent != window
		&& window.parent.document.getElementById("evlocation",window.parent.document)
		&& window.parent.document.getElementById("evlocation",window.parent.document).value!=" -- "
		&& window.parent.document.getElementById("evlocation",window.parent.document).value!=""){
		document.getElementById("title").value = window.parent.document.getElementById("evlocation",window.parent.document).value;
	}
}

function noMatchingLocations() {
	if (document.getElementById("createlocationbutton")){
		document.getElementById("createlocationbutton").style.display ="inline-block";
	}
	if (document.getElementById("selectlocationbutton")){
		document.getElementById("selectlocationbutton").style.display = "inline-block";
	}
}

function showRemoveButton(){
	// uikit version doesn't use window.parent
	var locfield = window.parent.document.getElementById('locn') || document.getElementById('locn');
	var value = locfield.value;
	var removeButton = window.parent.document.getElementById('removelocationbutton')|| document.getElementById('removelocationbutton');
	if(value === '')
	{
		removeButton.style.display ='none';
	}
	else
	{
		removeButton.style.display = 'inline-block';
	}
}


window.addEventListener('load', function () {
		setupNewLocation();
});
