<?php

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;

 defined('_JEXEC' ) or die('Restricted access'); ?>

<div class='jevlocations'>
<form action="<?php echo Uri::current(); ?>" method="post" id="adminForm" name="adminForm">
<table>
<tr>
	<td align="left">
		<?php echo Text::_( 'FILTER' ); ?>:
		<input type="text" name="search" id="jevsearch" value="<?php echo $this->lists['search'];?>" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo Text::_( 'GO' ); ?></button>

	</td>
	<td nowrap="nowrap">
		<?php
		if ($this->usecats){
			echo $this->lists['catid'];
		}
		?>
	</td>
	<td nowrap="nowrap">
		<?php
		echo $this->lists['loctype'];
		?>
	</td>
	<td nowrap="nowrap">
		<?php
		echo $this->lists['loccat'];
		?>
	</td>
	<td nowrap="nowrap">
		<button onclick="document.getElementById('jevsearch').value='';document.getElementById('filter_loccat').value='0';document.getElementById('filter_loctype').value='0';this.form.submit();"><?php echo Text::_( 'COM_JEVLOCATIONS_RESET' ); ?></button>
	</td>
</tr>
</table>
	<input type="hidden" name="option" value="com_jevlocations" />
	<input type="hidden" name="task" value="locations.select" />
	<input type="hidden" name="returntask" value="locations.select" />
	<input type="hidden" name="tmpl" value="component" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo Text::_( 'NUM' ); ?>
			</th>
			<th class="title">
				<?php echo JHTML::_('grid.sort',  'TITLE_CLICK_TO_SELECT', 'loc.title', $this->lists['order_Dir'], $this->lists['order'] , "locations.select"); ?>
			</th>
			<th width="5%">
				<?php echo JHTML::_('grid.sort',  'COM_JEVLOCATIONS_COUNTRY', ($this->usecats?'c3title':'loc.country'), $this->lists['order_Dir'], $this->lists['order'] , "locations.select"); ?>
			</th>
			<th width="5%">
				<?php echo JHTML::_('grid.sort',  'COM_JEVLOCATIONS_STATE', ($this->usecats?'c2title':'loc.state'), $this->lists['order_Dir'], $this->lists['order'] , "locations.select"); ?>
			</th>
			<th width="5%">
				<?php echo JHTML::_('grid.sort',  'CITY', ($this->usecats?'c1title':'loc.city'), $this->lists['order_Dir'], $this->lists['order'] , "locations.select"); ?>
			</th>
			<th width="5%">
				<?php echo JHTML::_('grid.sort',  'POSTCODE', 'loc.postcode', $this->lists['order_Dir'], $this->lists['order'] , "locations.select"); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="9">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)
	{
		$row = &$this->items[$i];

		$link 	= Route::_( 'index.php?option=com_jevlocations&task=locations.setlocation&cid[]='. $row->loc_id );

		$checked 	= JHTML::_('grid.checkedout',   $row, $i ,"loc_id");
		$checked = str_replace('"images/' ,'"../administrator/images/',$checked);
		$published 	= JevlocationsHelper::fixedActionIcon($row, "published", ""  );

		// global list
		$global	= JevlocationsHelper::fixedActionIcon($row, "global", ""  );

		$ordering = ($this->lists['order'] == 'loc.title');

		if ($this->usecats){
			if(isset($row->c3title)){
				$country = $row->c3title;
				$province = $row->c2title;
				$city = $row->c1title;
			}
			else if(isset($row->c2title)){
				$country = $row->c2title;
				$province = $row->c1title;
				$city = false;
			}
			else {
				$country = $row->c1title;
				$province = false;
				$city = false;
			}

			$row->country_link 	= Route::_( 'index.php?option=com_categories&section=com_jevlocations&task=edit&type=other&cid[]='. $country );
			if ($province){
				$row->province_link 	= Route::_( 'index.php?option=com_categories&section=com_jevlocations&task=edit&type=other&cid[]='. $province);
			}
			if ($city){
				$row->city_link 	= Route::_( 'index.php?option=com_categories&section=com_jevlocations&task=edit&type=other&cid[]='. $city);
			}
		}
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pagination->getRowOffset( $i ); ?>
			</td>
			<td>

				<span class="editlinktip hasTip" title="<?php echo Text::_( 'COM_JEVLOCATIONS_SELECT_LOCATION' );?>::<?php echo $this->escape($row->title); ?>">
					<a href="javascript:void()" onclick="return selectThisLocation(<?php echo $row->loc_id;?>,this);"><?php echo $this->escape($row->title); ?></a></span>

			</td>
			<?php
			if ($this->usecats){
			?>
			<td>
				<?php echo $this->escape($country); ?>
			</td>
			<td>
				<?php echo $this->escape($province); ?>
			</td>
			<td>
				<?php echo $this->escape($city); ?>
			</td>
			<?php
			}
			else {				
			?>
			<td>
				<?php echo $this->escape($row->country); ?>
			</td>
			<td>
				<?php echo $this->escape($row->state); ?>
			</td>
			<td>
				<?php echo $this->escape($row->city); ?>
			</td>
			<?php
			}
			?>
			<td>
				<?php echo $this->escape($row->postcode); ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>
</div>

</form>

</div>
<?php
echo HtmlHelper::_('bootstrap.tooltip');