jQuery(document).ready(function(){

	var sortable = document.querySelector('#sortableLocationsColumns');
	sortable.setAttribute('data-sortable',
		Sortable.create(sortable, {
			//ghostClass: 'jev-sortable-highlight jev-people-sortable',
			//ghostClass: 'jev-sortable-highlight jev-people-sortable',
			onEnd: (evt) => {
				getNewOrder(evt.item)
			},
		})
	);

	jQuery('.btn.jevloc-toggle-column').click(function(){
		toggleColumn(this);
	})

});

function getNewOrder()
{
	var lis = jQuery('ul#sortableLocationsColumns li.jevloc-col-enabled');
	var newOrder = []
	lis.each(function(i, item){
		var id = jQuery(item).attr('id');
		newOrder[i] = id;
		});
	jQuery('#sortableLocColumns').val(newOrder.join());
}

function toggleColumn(button)
{
	var column = jQuery(button).parent();
	var previousClass = jQuery(column).attr('class');
	if( column.hasClass("jevloc-col-enabled"))
	{
		var newClass = "jevloc-col-disabled";
		var previousIcon = "icon-eye";
		var newIcon = "icon-eye-blocked";
	}
	else
	{
		var newClass = "jevloc-col-enabled"
		var previousIcon = "icon-eye-blocked";
		var newIcon = "icon-eye";
	}
	column.removeClass(previousClass);
	column.addClass(newClass);
	jQuery(button).find("i").removeClass(previousIcon);
	jQuery(button).find("i").addClass(newIcon);
	getNewOrder();
}
