<?php
/**
 * @version     3.5.0
 * @package     JEvents_Managed_Locations
 * @subpackage  Module Location
 * @copyright   Copyright (C) 2006-2018 GWE Systems
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Filesystem\File;

require_once dirname(__FILE__) . '/helper.php';

HTMLHelper::stylesheet('modules/mod_jevlocations_location/assets/css/mod_jevlocations_location.css');

if (File::exists(JPATH_SITE . "/components/com_jevents/assets/css/jevcustom.css"))
{
	JEVHelper::stylesheet('jevcustom.css', 'components/' . JEV_COM_COMPONENT . '/assets/css/');
}

$item = modJevlocationsLocationHelper::getLocation($params);

if (!($item))
{
	return;
}

$moduleclassSfx = htmlspecialchars($params->get('moduleclass_sfx'));

require ModuleHelper::getLayoutPath('mod_jevlocations_location', "default");
